=== debian/changelog ===
ros-melodic-libmavconn (1.5.0-1stretch) stretch; urgency=high

  * libmavconn: Fix build warnings
  * Contributors: Morten Fyhn Amundsen

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 11 Nov 2020 00:00:00 -0000

ros-melodic-libmavconn (1.4.0-1stretch) stretch; urgency=high

  * Dispatch GCS IP address
  * Contributors: Morten Fyhn Amundsen

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 11 Sep 2020 00:00:00 -0000

ros-melodic-libmavconn (1.3.0-1stretch) stretch; urgency=high

  * allow mavros to compile in CI environment
  * Contributors: Marcelino

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 08 Aug 2020 00:00:00 -0000

ros-melodic-libmavconn (1.2.0-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 22 May 2020 00:00:00 -0000

ros-melodic-libmavconn (1.1.0-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 04 Apr 2020 00:00:00 -0000

ros-melodic-libmavconn (1.0.0-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 01 Jan 2020 00:00:00 -0000

ros-melodic-libmavconn (0.33.4-1stretch) stretch; urgency=high

  * add macro for get_io_service() to work with boost>1.70
  * Contributors: acxz

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 12 Dec 2019 00:00:00 -0000

ros-melodic-libmavconn (0.33.3-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 13 Nov 2019 00:00:00 -0000

ros-melodic-libmavconn (0.33.2-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 13 Nov 2019 00:00:00 -0000

ros-melodic-libmavconn (0.33.1-1stretch) stretch; urgency=high

  * resolved merge conflict
  * Contributors: David Jablonski

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 11 Nov 2019 00:00:00 -0000

ros-melodic-libmavconn (0.33.0-1stretch) stretch; urgency=high

  * libmavconn: simplify parse_buffer, and fix dropped_packets and parse_error counters
    Currently the dropped_packets & parse_error counters are always published as 0 in mavros_diag.cpp.
    This seems to be caused by using the wrong status struct.
    Seems like mavros was editing m_status after mavlink_frame_char_buffer. This struct
    seems to be the parsing state, and looks like it shouldn't be modified by the caller (for example
    status->parse_error is zeroed out in the end of mavlink_frame_char_buffer).
    Also, the crc & signature checks done in mavros seems redundant.
    r_mavlink_status seems to be the struct that holds the mavlink connection information, therefore I
    changed get_status to return it instead.
    This fixes #1285 <https://github.com/mavlink/mavros/issues/1285>.
  * Contributors: Koby Aizer

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 10 Oct 2019 00:00:00 -0000

ros-melodic-libmavconn (0.32.2-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 09 Sep 2019 00:00:00 -0000

ros-melodic-libmavconn (0.32.1-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 08 Aug 2019 00:00:00 -0000

ros-melodic-libmavconn (0.32.0-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 06 Jul 2019 00:00:00 -0000

ros-melodic-libmavconn (0.31.0-1stretch) stretch; urgency=high

  * readme: fix udp-pb formatting
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 07 Jun 2019 00:00:00 -0000

ros-melodic-libmavconn (0.30.0-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 20 May 2019 00:00:00 -0000

ros-melodic-libmavconn (0.29.2-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 06 Mar 2019 00:00:00 -0000

ros-melodic-libmavconn (0.29.1-1stretch) stretch; urgency=high

  * All: catkin lint files
  * Contributors: Pierre Kancir

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 03 Mar 2019 00:00:00 -0000

ros-melodic-libmavconn (0.29.0-1stretch) stretch; urgency=high

  * Merge branch 'master' into param-timeout
  * libmavconn: Fix building without installation. Detect CI environment
  * ci:test: temporary disable failed udp bind test
  * mavconn:pkg: Move generated files to build tree
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 02 Feb 2019 00:00:00 -0000

ros-melodic-libmavconn (0.28.0-1stretch) stretch; urgency=high

  * libmavconn: add the possibility to set the source component ID through the send_message method
  * Contributors: TSC21

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 03 Jan 2019 00:00:00 -0000

ros-melodic-libmavconn (0.27.0-1stretch) stretch; urgency=high

  * bind should be called after reuse_address is set
  * Contributors: Shahar Kosti

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 12 Nov 2018 00:00:00 -0000

ros-melodic-libmavconn (0.26.3-1stretch) stretch; urgency=high

  * Prevent MAVConnTCPClient::do_recv and MAVConnTCPServer::do_accept from running after destruction has begun
  * libmavconn/CMakeLists.txt: link mavconn-test against pthread
  * Contributors: mlvov

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 21 Aug 2018 00:00:00 -0000

ros-melodic-libmavconn (0.26.2-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 08 Aug 2018 00:00:00 -0000

ros-melodic-libmavconn (0.26.1-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 19 Jul 2018 00:00:00 -0000

ros-melodic-libmavconn (0.26.0-1stretch) stretch; urgency=high

  * libmavconn: add scheme for permanent UDP broadcasting
  * test python 3 f-string formatting
  * Contributors: Oleg Kalachev, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 06 Jun 2018 00:00:00 -0000

ros-melodic-libmavconn (0.25.1-1stretch) stretch; urgency=high

  * lib #1026 <https://github.com/mavlink/mavros/issues/1026>: fix logInform compat
  * lib #1026 <https://github.com/mavlink/mavros/issues/1026>: add compat header for older console-bridge
  * Contributors: Vladimir Ermakov


