## ros-melodic-libmavconn 1.16.0

=== debian/changelog ===
ros-melodic-libmavconn (1.16.0-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 05 May 2023 00:00:00 -0000

ros-melodic-libmavconn (1.15.0-1bionic) bionic; urgency=high

  * Merge pull request #1794 <https://github.com/mavlink/mavros/issues/1794> from rossizero/master
    libmavconn: fix MAVLink v1.0 output selection
  * libmavconn: fix MAVLink v1.0 output selection
    Fix #1787 <https://github.com/mavlink/mavros/issues/1787>
  * Contributors: Vladimir Ermakov, rosrunne

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 30 Dec 2022 00:00:00 -0000

ros-melodic-libmavconn (1.14.0-1bionic) bionic; urgency=high

  * libmavconn: fix MAVLink v1.0 output selection
    Fix #1787 <https://github.com/mavlink/mavros/issues/1787>
  * Merge pull request #1775 <https://github.com/mavlink/mavros/issues/1775> from acxz/find-geographiclib
    use already installed FindGeographicLib.cmake
  * use already installed FindGeographicLib.cmake
  * Contributors: Vladimir Ermakov, acxz

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 24 Sep 2022 00:00:00 -0000

ros-melodic-libmavconn (1.13.0-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 13 Jan 2022 00:00:00 -0000

ros-melodic-libmavconn (1.12.2-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 12 Dec 2021 00:00:00 -0000

ros-melodic-libmavconn (1.12.1-1bionic) bionic; urgency=high

  * mavconn: fix connection issue introduced by #1658 <https://github.com/mavlink/mavros/issues/1658>
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 29 Nov 2021 00:00:00 -0000

ros-melodic-libmavconn (1.12.0-1bionic) bionic; urgency=high

  * Merge pull request #1658 <https://github.com/mavlink/mavros/issues/1658> from asherikov/as_bugfixes
    Fix multiple bugs
  * Fix multiple bugs
    - fix bad_weak_ptr on connect and disconnect
    - introduce new API to avoid thread race when assigning callbacks
    - fix uninitialized variable in TCP client constructor which would
    randomly block TCP server
    This is an API breaking change: if client code creates connections using
    make_shared<>() instead of open_url(), it is now necessary to call new
    connect() method explicitly.
  * Contributors: Alexander Sherikov, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 27 Nov 2021 00:00:00 -0000

ros-melodic-libmavconn (1.11.1-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 24 Nov 2021 00:00:00 -0000

ros-melodic-libmavconn (1.11.0-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 24 Nov 2021 00:00:00 -0000

ros-melodic-libmavconn (1.10.0-1bionic) bionic; urgency=high

  * Merge pull request #1626 <https://github.com/mavlink/mavros/issues/1626> from valbok/crash_on_shutdown
    Show ENOTCONN error instead of crash on socket's shutdown
  * Show ENOTCONN error instead of crash
    When a client suddenly drops the connection,
    socket.shutdown() will throw an exception:
    boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<boost::system::system_error> >
    what():  shutdown: Transport endpoint is not connected
    Showing an error in this common case looks more reasonable than crashing.
  * Contributors: Val Doroshchuk, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 04 Nov 2021 00:00:00 -0000

ros-melodic-libmavconn (1.9.0-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 09 Sep 2021 00:00:00 -0000

ros-melodic-libmavconn (1.8.0-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 05 May 2021 00:00:00 -0000

ros-melodic-libmavconn (1.7.1-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 05 Apr 2021 00:00:00 -0000

ros-melodic-libmavconn (1.7.0-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 05 Apr 2021 00:00:00 -0000

ros-melodic-libmavconn (1.6.0-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 15 Feb 2021 00:00:00 -0000

ros-melodic-libmavconn (1.5.2-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 02 Feb 2021 00:00:00 -0000

ros-melodic-libmavconn (1.5.1-1bionic) bionic; urgency=high

  * Fix test for renaming of HEARTBEAT
  * Initialise message structures
    Uninitialised Mavlink 2 extension fields were sent if the fields were
    not later set. Initialising the fields to zero is the default value for
    extension fields and appears to the receiver as though sender is unaware
    of Mavlink 2.
    Instances were found with regex below, more may exist:
    mavlink::[^:]+::msg::[^:={]+ ?[^:={]*;
  * Contributors: Rob Clarke

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 04 Jan 2021 00:00:00 -0000

ros-melodic-libmavconn (1.5.0-1bionic) bionic; urgency=high

  * libmavconn: Fix build warnings
  * Contributors: Morten Fyhn Amundsen

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 11 Nov 2020 00:00:00 -0000

ros-melodic-libmavconn (1.4.0-1bionic) bionic; urgency=high

  * Dispatch GCS IP address
  * Contributors: Morten Fyhn Amundsen

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 11 Sep 2020 00:00:00 -0000

ros-melodic-libmavconn (1.3.0-1bionic) bionic; urgency=high

  * allow mavros to compile in CI environment
  * Contributors: Marcelino

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 08 Aug 2020 00:00:00 -0000

ros-melodic-libmavconn (1.2.0-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 22 May 2020 00:00:00 -0000

ros-melodic-libmavconn (1.1.0-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 04 Apr 2020 00:00:00 -0000

ros-melodic-libmavconn (1.0.0-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 01 Jan 2020 00:00:00 -0000

ros-melodic-libmavconn (0.33.4-1bionic) bionic; urgency=high


