=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Vladimir Ermakov <vooon341@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libconsole-bridge-dev, libgtest-dev, ros-melodic-catkin, ros-melodic-mavlink, ros-melodic-rosunit
+Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libconsole-bridge-dev, libgtest-dev <!nocheck>, ros-melodic-catkin, ros-melodic-mavlink, ros-melodic-rosunit <!nocheck>
 Homepage: http://wiki.ros.org/mavros
 Standards-Version: 3.9.2
